Summary: Performance testing tool for TCP/UDP
Name: netperf
Version: 2.7.0
Release: 1
License: BSD
Group: Applications/Internet
URL: http://www.netperf.org/netperf/NetperfPage.html 
Packager: Michael Perzl <michael@perzl.org>
Source0: ftp://ftp.netperf.org/netperf/%{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: /sbin/install-info, info
Requires: /sbin/install-info, info

%description
Netperf is a tool to measure TCP/UDP performance.


%prep
%setup -q
%patch0


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*info*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir 2>/dev/null || :


%preun
/sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir 2>/dev/null || :


%files
%defattr(-,root,system,-)
%doc COPYING README Release_Notes
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*.info*
/usr/bin/*


%changelog
* Mon Nov 09 2015 Michael Perzl <michael@perzl.org> - 2.7.0-1
- updated to version 2.7.0

* Fri May 03 2013 Michael Perzl <michael@perzl.org> - 2.6.0-1
- updated to version 2.6.0

* Thu Oct 06 2011 Michael Perzl <michael@perzl.org> - 2.5.0-1
- updated to version 2.5.0

* Thu Apr 08 2010 Michael Perzl <michael@perzl.org> - 2.4.5-1
- updated to version 2.4.5

* Tue Sep 16 2008 Michael Perzl <michael@perzl.org> - 2.4.2-1
- first version for AIX V5.1 and higher
